Package com.google.android.exoplayer2.util

## Interface EGLSurfaceTexture.TextureImageListener

- Enclosing class:
    EGLSurfaceTexture

      public static interface EGLSurfaceTexture.TextureImageListener

  Listener to be called when the texture image on `SurfaceTexture` has been updated.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onFrameAvailable()` | Called when the `SurfaceTexture` receives a new frame from its image producer.

- - ### Method Detail

    - #### onFrameAvailable

          void onFrameAvailable()

      Called when the `SurfaceTexture` receives a new frame from its image producer.